Package org.apache.struts2.dispatcher.mapper

# Class RestfulActionMapper

java.lang.Object
org.apache.struts2.dispatcher.mapper.RestfulActionMapper

All Implemented Interfaces:
  `ActionMapper`

public class RestfulActionMapper extends Object implements ActionMapper
Simple Restfull Action Mapper to support REST application See docs for more information RestfulActionMapper

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected static final org.apache.logging.log4j.Logger`
  `LOG`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `RestfulActionMapper()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `ActionMapping`
  `getMapping(jakarta.servlet.http.HttpServletRequest request, ConfigurationManager configManager)`
  Expose the ActionMapping for the current request
  `ActionMapping`
  `getMappingFromActionName(String actionName)`
  Expose the ActionMapping for the specified action name
  `String`
  `getUriFromActionMapping(ActionMapping mapping)`
  Convert an ActionMapping into a URI string
  `void`
  `setDecoder(UrlDecoder decoder)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### LOG

    protected static final org.apache.logging.log4j.Logger LOG

- ## Constructor Details

  - ### RestfulActionMapper

    public RestfulActionMapper()

- ## Method Details

  - ### setDecoder

    public void setDecoder(UrlDecoder decoder)

  - ### getMapping

    public ActionMapping getMapping(jakarta.servlet.http.HttpServletRequest request, ConfigurationManager configManager)
    Description copied from interface: `ActionMapper`
    Expose the ActionMapping for the current request
    Specified by:
      `getMapping` in interface `ActionMapper`
    Parameters:
      `request` - The servlet request
      `configManager` - The current configuration manager
    Returns:
      The appropriate action mapping or null if mapping cannot be determined

  - ### getMappingFromActionName

    public ActionMapping getMappingFromActionName(String actionName)
    Description copied from interface: `ActionMapper`
    Expose the ActionMapping for the specified action name
    Specified by:
      `getMappingFromActionName` in interface `ActionMapper`
    Parameters:
      `actionName` - The name of the action that may have other information embedded in it
    Returns:
      The appropriate action mapping

  - ### getUriFromActionMapping

    public String getUriFromActionMapping(ActionMapping mapping)
    Description copied from interface: `ActionMapper`
    Convert an ActionMapping into a URI string
    Specified by:
      `getUriFromActionMapping` in interface `ActionMapper`
    Parameters:
      `mapping` - The action mapping
    Returns:
      The URI string that represents this mapping